org.jgrapht.alg.interfaces

## Interface AStarAdmissibleHeuristic<V>

- Type Parameters:
    `V` - vertex type

      public interface AStarAdmissibleHeuristic<V>

  Interface for an admissible heuristic used in A* search.
  Author:
    Joris Kinable, Jon Robison, Thomas Breitbart

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getCostEstimate(V sourceVertex, V targetVertex)` An admissible "heuristic estimate" of the distance from x, the sourceVertex, to the goal (usually denoted h(x)).

- - ### Method Detail

    - #### getCostEstimate

          double getCostEstimate(V sourceVertex,
                               V targetVertex)

      An admissible "heuristic estimate" of the distance from x, the sourceVertex, to the goal (usually denoted h(x)). This is the good guess function.

Copyright © 2016. All rights reserved.